hmt-0.15: Haskell Music Theory

Safe Haskell | Safe
Language | Haskell98

Music.Theory.Tuning.Polansky_1978

Description

Larry Polansky. "Psaltery (for Lou Harrison)". Frog Peak Music, 1978.

Synopsis

- psaltery :: [Rational]
- psaltery_o :: [Rational]

# Documentation

psaltery :: [Rational] Source #

Three interlocking harmonic series on 1:5:3, by Larry Polansky in "Psaltery".

    import qualified Music.Theory.Tuning.Scala as T
    let fn = "/home/rohan/opt/scala/scl/polansky_ps.scl"
    s <- T.load fn
    T.scale_pitch_representations s == (0,50)
    1 : Data.Either.rights (T.scale_pitches s) == psaltery

psaltery_o :: [Rational] Source #

`fold_ratio_to_octave` of `psaltery`.

    length psaltery == 51 && length psaltery_o == 21
    psaltery_o == [1,65/64,33/32,17/16,35/32,9/8,75/64,39/32
                  ,5/4,21/16,85/64,11/8,45/32
                  ,3/2,25/16,51/32,13/8,27/16,55/32,7/4,15/8]